#ifndef __ADC_DEMO_H__
#define __ADC_DEMO_H__
#include <stdio.h>
#include <stdint.h>
#include "adc.h"
#include "gpio.h"

void adc_interrupt(void *msg);
uint16_t Adc_Converse(ADC_Channel_t ch, uint32_t times, uint16_t *buf);
uint16_t Adc_Converse_Scan(ADC_Channel_t ch, ADC_ScanNum_t scannum, uint32_t times, uint16_t *buf);
void Adc_Init(void);
void Adc_Scan_Init(void);
void ADC_Set_HardTrigger(uint8_t wait, ADC_HardwareTrig_t trg);
uint16_t ADC_SelfTest(ADC_Test_t tes, uint32_t times, uint16_t *buf);

#endif
