/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G139
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "gpio_demo.h"
#include "intp_demo.h"
#include "delay_demo.h"
/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/


int main()
{
    uint32_t msCnt;     // count value of 1ms

    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);
//
//	*((volatile uint8_t*)(&PORT->PM0 +0x0)) |= (1 << 0);
//	PORT->PM0 |= (1 << 0);
	//
    Led_Init();

    LED_ON;
    delayMS(500);                            // LED ON: 500ms for reconnect debugger
    LED_OFF;
    Intp_Init();                              //P136 ⲿж


    //-----------------------------------------------------------------------
    // DeepSleep 10 times
    // P70/KR0 falling edge wakeup system and blinky P71 LED
    //-----------------------------------------------------------------------
    while (1)
    {
		delayMS(1000);		
		P72_Toggle;
        if (flag)
        {
            P71_Toggle;
            flag = 0;
        }
    }

}




