#ifndef __TIMM_DEMO_H__
#define __TIMM_DEMO_H__
#include "gpio.h"
#include "timm.h"
#include "isr.h"
extern volatile uint16_t g_tmm0_intTaken_a;
extern uint8_t interval_time_flag;

void tmm0_interrupt(void);
void TMM0_IntervalTimer(uint8_t clk, uint16_t num);

void TMM0_DoublePulseOutput(uint8_t clk, uint16_t period, uint16_t n, uint16_t p, uint16_t q );
void TMM0_PWM_1Period_3Duty(uint8_t clk, uint16_t period, uint16_t duty1, uint16_t duty2, uint16_t duty3);
void TMM0_RstSynchronous_PWM(uint8_t clk, uint16_t period, uint16_t duty1, uint16_t duty2, uint16_t duty3);
void TMM0_PWM_Complementary_3Phase(uint8_t clk, uint16_t half_period,uint16_t duty1,uint16_t duty2,uint16_t duty3, uint16_t dead);

void TMM0_Get_PulseWidth_Init(uint8_t clk, uint8_t capture_edge);




#endif
