#ifndef __SPIHS_DEMO_H__
#define __SPIHS_DEMO_H__
#include "spi.h"
#include "gpio.h"
#define SPI_GROUP1  (uint8_t)0x01
#define SPI_GROUP2  (uint8_t)0x02
#define SPI_GROUP3  (uint8_t)0x03

void spi0hs_interrupt(void *msg);
void spi1hs_interrupt(void *msg);
void Spihs_Init(void);

void Spihs_Int_Write(SPI_FUNC_t func, uint8_t *tx_buf, uint16_t tx_num);
void Spihs_Int_Read(SPI_FUNC_t func, uint8_t *rx_buf, uint16_t rx_num);
#endif
